Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Delete a template

Deletes a non-required template from the theme. Required templates (e.g. layout.html) cannot be deleted — the store:delete_template link is absent for those.

DELETE/themes/{theme_id}/templates/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
theme_idstringrequired

Theme ID

idstringrequired

Template ID or filename slug

Responses
204

Template deleted

403

Cannot delete a required template

404

Template not found

Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.onbolder.com/v2/themes/abc123/templates/layout.html' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
Template deleted

Was this page helpful?